<?php

namespace Drupal\flickr_integration_suite\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Flickr integration suite settings for this site.
 */
class FlickrIntegrationSuiteSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'flickr_integration_suite_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['flickr_integration_suite.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['api_endpoint'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Flickr API Endpoint'),
      '#required' => TRUE,
      '#default_value' => $this->config('flickr_integration_suite.settings')->get('api_endpoint'),
    ];

    $form['api_key'] = [
      '#type' => 'key_select',
      '#title' => $this->t('Flickr API Key'),
      '#required' => TRUE,
      '#default_value' => $this->config('flickr_integration_suite.settings')->get('api_key'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Save the configured API endpoint and API key.
    $this->config('flickr_integration_suite.settings')
      ->set('api_endpoint', $form_state->getValue('api_endpoint'))
      ->set('api_key', $form_state->getValue('api_key'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
